#
# spec file for package hp-officeJet (Version 0.90)
#
# Copyright (c) 2002 SuSE Linux AG, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  libtiff openssl openssl-devel qt3-devel-packages ucdsnmp
# usedforbuild    aaa_base aaa_dir aaa_version base bash bindutil bison bzip cpio cpp cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gdbm-devel glibc glibc-devel glibc-locale gpm gppshare grep groff gzip kbd less m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam-devel pam-modules patch ps rcs readline sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim autoconf automake binutils cracklib freetype2 freetype2-devel gcc gdbm gettext gpp libgpp libjpeg liblcms libmng libmng-devel libpng libpng-devel libtiff libtool libz mesa mesa-devel mesaglu mesaglu-devel mesaglut mesaglut-devel mesasoft openssl openssl-devel pam perl qt3 qt3-devel rpm ucdsnmp xdevel xshared

Name:         hp-officeJet
Summary:      A driver for HP OfficeJet all-in-one devices
Version:      0.90
Release:      10
Group:        Hardware/Printing
#Requires: 
#Provides: 
License:      GPL
URL:          http://hpoj.sourceforge.net
Source0:      hpoj-%{version}.tar.bz2
Patch0:       hpoj-%{version}.dif
Patch2:       hpoj-%{version}-lib64.dif
BuildRoot:    %{_tmppath}/%{name}-%{version}-build

%description
This driver allows printing and scanning with most of HP's OfficeJet
devices. Please refer to the documentation under /usr/share/doc/packages/hp-officeJet how to finish the installation of
the driver.

Authors:
--------
    David Paschal <paschal@rcsis.com>

SuSE series: ap

%define INSTALL install -m755 -s
%define INSTALL_SCRIPT install -m755
%define INSTALL_DIR install -d -m755
%define INSTALL_DATA install -m644
%prep
%setup -n hpoj-%{version}
%patch0
if [ %_lib == lib64 ]; then
%patch2 -p0
fi

%build
%define SWITCH --prefix=/usr
%ifarch s390 s390x
%define SWITCH --prefix=/usr --without-par --without-usb
%endif
%ifarch ppc ppc64
%define SWITCH --prefix=/usr --without-par
%endif
CXXFLAGS=$RPM_OPT_FLAGS \
  ./configure --infodir=%{_infodir} %{SWITCH} \
	      --libdir=/usr/%_lib \
	      --with-qt-dir=/usr/lib/qt2 \
	      --with-qt-libraries=/usr/lib/qt2/%_lib \
              --sysconfdir=/etc %{_target_cpu}-suse-linux  \
              --with-sane-backend-dir=/usr/%_lib/sane \
              --with-sane-etc-dir=/etc/sane.d
make

%install
if [ ! "x" = "x$RPM_BUILD_ROOT" ] ; then
   rm -fr $RPM_BUILD_ROOT
   %{INSTALL_DIR} $RPM_BUILD_ROOT
fi
make install DESTDIR=$RPM_BUILD_ROOT prefix=$RPM_BUILD_ROOT/usr libdir=$RPM_BUILD_ROOT/usr/%_lib etcdir=$RPM_BUILD_ROOT/etc
# make install.man

%clean
rm -fr $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
/usr/bin/hpojip-test
/usr/bin/ptal-connect
/usr/bin/ptal-device
/usr/bin/ptal-devid
/usr/bin/ptal-hp
/usr/bin/ptal-pml
/usr/bin/ptal-print
/usr/bin/xojpanel
/usr/include/ptal.h
/usr/include/hpojip.h
/usr/%_lib/libptal.so*
/usr/%_lib/libhpojip.so*
/usr/%_lib/libsane-hpoj.so*
/usr/sbin/ptal-cups
/usr/sbin/ptal-init
/usr/sbin/ptal-mlcd
/usr/sbin/ptal-photod
/usr/sbin/ptal-printd
%doc doc/*.html README COPYING LICENSE LICENSE.OpenSSL
# spec file ends here

%changelog -n hp-officeJet
* Mon Aug 12 2002 - freitag@suse.de
- update to version 0.90. Removed Adrians qt3-patch again because
  the new version brings proper checks for qt and compiles with
  qt3.
* Sat Aug 10 2002 - adrian@suse.de
- use qt version 3
* Tue Jul 30 2002 - freitag@suse.de
- fixes for s390: disabled parport and usb, disabled parport only
  for ppc
* Tue May 14 2002 - meissner@suse.de
- %%_lib fixes.
* Fri Apr 19 2002 - coolo@suse.de
- fix for gcc 3.1
* Mon Jan 28 2002 - freitag@suse.de
- added opensll-devel which is needed by snmp to work
* Wed Jan 23 2002 - freitag@suse.de
- added two directories /dev/ptal* needed by the driver.
* Wed Jan 16 2002 - uli@suse.de
- fixed to build on PPC, might even work
* Fri Nov 09 2001 - ro@suse.de
- use qt-devel-packages
* Tue Aug 28 2001 - freitag@suse.de
- initial version 0.8, hp-officeJet supports HP's all-in-one devices
  in printing and scanning. The package is required to use the HP's
  together with SANE to scan.
